<?php

use Illuminate\Support\Facades\App;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\DataController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();

Route::middleware('auth')->group(function () {
    Route::get('/', [DataController::class, 'index']);

    Route::get('data-import', [DataController::class, 'import'])->name('import');
    Route::post('toimport', [DataController::class, 'toimport'])->name('toimport');
    Route::get('toimport', [DataController::class, 'toimport'])->name('toimport');

    Route::get('data-dirty', [DataController::class, 'dirtyData']);
    Route::get('getDirtyData', [DataController::class, 'getDirtyData']);
    Route::get('dataCleaning', [DataController::class, 'dataCleaning']);


    Route::get('dataExport', [DataController::class, 'dataExport']);
    // Route::get('serviceExport', [DataController::class, 'serviceExport']);

    Route::get('getOperator', [DataController::class, 'getOperator']);


    Route::get('removeData', [DataController::class, 'removeData']);
});
